/*              LogManager/2            */
/*                                      */
/*              Version 1.00            */
/*                                      */
/*             By Chris Snell           */
/*           Deadicated Software        */

/*  DO NOT DISTIBUTE THIS SOFTWARE IF IT IS IN MODIFIED FORM!  SEE LM2.DOC FOR DETAILS!  */


Call RxFuncAdd 'SysLoadFuncs','REXXUTIL','SysLoadFuncs'
Call SysLoadFuncs

Configfile='LM2.CFG'

Call CopyInfo

ExistConfig = SysFileTree(Configfile,'TestingCfg','F')
If TestingCfg.0 = 0 Then
   Say '[1;31mI cannot find LM2.CFG![0m'
Else Say 'Processing Configuration File... Done!'

TodaysDate = Date('N')
Say' '
Say'[1;44mProcessing logfiles for' TodaysDate'.[0m'
Say' '
Do While CurrentLine > ''
  CurrentLine = LINEIN(Configfile)

    If Pos('%', CurrentLine) = 0 then Do
       Parse Upper Var CurrentLine TrashVerb CurrentLine

      /* begin scanning for verbs */

         If Pos('TRANSLATE',TrashVerb) > 0 then Do
           Parse Upper Var CurrentLine Logname CurrentLine
           Parse Upper Var CurrentLine LogFileEnd
           Logname = Strip(Logname,'B')
           Logend = Strip(LogfileEnd,'B')
           Temp = length(Logname)

           If Temp > 0 then Do
             '@Echo Off'
             TheDate = date('S')
             NewLogfileEnd = Insert('.', LogFileEnd)
             TheYear=Left(TheDate,4)
             TheMonth=SubStr(TheDate,5,2)
             TheDay=SubStr(TheDate,7,2)
             MonthDay = Insert(TheMonth,TheDay)
             NewDate = Insert(MonthDay,TheYear)
             NewLogfileName = Insert(NewDate,NewLogfileEnd)
             OldLogfileName = Insert(Logname, '.LOG')
             ExistNewLogFile = SysfileTree(NewLogfileName,'TestingNewLogFile','F')

             If TestingNewLogFile.0 = 1 Then Do
               Say '[1;35m'NewLogfilename 'already exists...  Prepare for errors![0m'
             End

             ExistLogFile = SysFileTree(OldLogfileName,'TestingLogfile','F')

             If TestingLogfile.0 = 1 Then Do
               LogName = insert(Logname,'.LOG')
               Temp = Length(Logname)
               Tempname = insert(' ',Logname,Temp, 12-temp)
               Say '[1;33mRenaming' Tempname' ->' NewLogFileName'[0m'
               Ren OldLogFileName NewLogFileName
             End
                If TestingLogfile.0 = 0 Then Do
                 Say '[1;31m'OldLogFileName 'not found![0m'
                End
             End
       End
    End
End
Exit

CopyInfo: Procedure

Say ' '
Say '[0;1;44m    [40m'
Say '    [33mLogManager/2'
Say '   By Chris Snell'
Say 'Deadicated Software'
Say '[37;44m۲    [40m'
Say '[0m'
Return
